View Issue Details

IDProjectCategoryView StatusLast Update
0023143mantisbtapi restpublic2017-09-03 18:41
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0023143: Support adding notes via REST API
Description

Support adding simple notes via REST API including text, reporter, and view state.

TagsNo tags attached.

Relationships

child of 0022786 new Support CRUD operations for issue notes 

Activities

vboctor

vboctor

2017-07-23 14:49

manager   ~0057304

Last edited: 2017-07-23 14:49

View 2 revisions

Sample Usage:

METHOD: POST
URL: /api/rest/issues/21923/notes
BODY:
{
  "text": "This is a test rest issue",
  "view_state": {
    "name": "private"
  },
  "reporter": {
    "name": "vboctor"
  }
}

The response returns the full added note and updated issue.

vboctor

vboctor

2017-07-23 15:13

manager   ~0057306

PR: https://github.com/mantisbt/mantisbt/pull/1132

Related Changesets

MantisBT: master 39219bd9

2017-07-23 14:46:31

vboctor

Details Diff
Support adding issue notes

Support adding a note while specifying text, reporter, and view state.

Fixes 0023143
mod - api/rest/restcore/issues_rest.php Diff File
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2017-07-23 14:44 vboctor New Issue
2017-07-23 14:49 vboctor Note Added: 0057304
2017-07-23 14:49 vboctor Note Edited: 0057304 View Revisions
2017-07-23 14:50 vboctor Assigned To => vboctor
2017-07-23 14:50 vboctor Status new => assigned
2017-07-23 15:13 vboctor Note Added: 0057306
2017-07-23 15:22 vboctor Relationship added related to 0022786
2017-07-23 15:35 vboctor Relationship replaced child of 0022786
2017-08-05 19:13 vboctor Changeset attached => MantisBT master 39219bd9
2017-08-05 19:13 vboctor Status assigned => resolved
2017-08-05 19:13 vboctor Resolution open => fixed
2017-08-05 19:13 vboctor Fixed in Version => 2.6.0
2017-08-05 19:22 vboctor Target Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed